package com.sundot.airport.exam.enums;

/**
 * <b>功能名：</b>DailyTaskStatusEnum<br>
 * <b>说明：</b> 每日答题任务状态枚举<br>
 * <b>著作权：</b> Copyright (C) 2025 SUNDOT CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author Simon Lin
 */
public enum DailyTaskStatusEnum {

    /**
     * 待答题
     */
    PENDING("待答题"),

    /**
     * 答题中
     */
    IN_PROGRESS("答题中"),

    /**
     * 已完成
     */
    COMPLETED("已完成"),

    /**
     * 已逾期
     */
    EXPIRED("已逾期");

    /**
     * 枚举中文名
     */
    private final String cnName;

    DailyTaskStatusEnum(String cnName) {
        this.cnName = cnName;
    }

    public String getCnName() {
        return cnName;
    }

    /**
     * 获取枚举代码（枚举名称）
     * 用于数据库存储
     *
     * @return 枚举名称
     */
    public String getCode() {
        return this.name();
    }
}
